/**
 * Copyright (c) 2008-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.se.jsr181.axis;

import org.apache.axis2.AxisFault;
import org.apache.axis2.context.ConfigurationContext;
import org.apache.axis2.context.MessageContext;
import org.apache.axis2.description.TransportOutDescription;
import org.apache.axis2.handlers.AbstractHandler;
import org.apache.axis2.transport.TransportSender;

/**
 * The empty Transport sender.
 * <p>
 * Created because unlike us, Axis2 needs a transport sender.
 * </p>
 * 
 * @author Christophe HAMERLING - EBM WebSourcing
 */
public class AxisEmptyTransportSender extends AbstractHandler implements TransportSender {

	/**
	 * Constructor.
	 */
	public AxisEmptyTransportSender() {
		// nothing
	}


	/*
	 * (non-Javadoc)
	 * @see org.apache.axis2.transport.TransportSender
	 * #cleanup(org.apache.axis2.context.MessageContext)
	 */
	public void cleanup(MessageContext msgContext) throws AxisFault {
		// release connection
	}


	/*
	 * (non-Javadoc)
	 * @see org.apache.axis2.transport.TransportSender
	 * #init(org.apache.axis2.context.ConfigurationContext, org.apache.axis2.description.TransportOutDescription)
	 */
	public void init( ConfigurationContext confContext, TransportOutDescription transportOut )
	throws AxisFault {
		// get default values
	}


	/*
	 * (non-Javadoc)
	 * @see org.apache.axis2.transport.TransportSender
	 * #stop()
	 */
	public void stop() {
		// Any code that need to be invoked when sender stop
	}


	/*
	 * (non-Javadoc)
	 * @see org.apache.axis2.engine.Handler
	 * #invoke(org.apache.axis2.context.MessageContext)
	 */
	public InvocationResponse invoke( MessageContext msgContext ) throws AxisFault {
		return InvocationResponse.CONTINUE;
	}
}
